Subject: [Gen-art] Gen-ART LC Review of draft-zhu-mobileme-doc-05

From: Ben Campbell <[email-masked]>
Date: Tue, 15 Mar 2011 15:58:17 -0500

I am the assigned Gen-ART reviewer for this draft. For background on
Gen-ART, please see the FAQ at
< http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please wait for direction from your document shepherd
or AD before posting a new version of the draft.

Document: draft-zhu-mobileme-doc-05
Reviewer: Ben Campbell
Review Date: 2011-03-15
IESG Telechat date: 2011-03-17

Summary: This draft is ready for publication as an informational RFC

Note: This review is primarily a followup to the Gen-ART review by Roni Evans during IETF last call.

Major Issues:

None

Minor Issues:

Roni had questions about the mention of TCP in section 5 and in 6.1, while BTTM is otherwise stated to run over UDP. After reading the updated draft and the related email thread, along with the change to the SRV record discussion to remove the mention of "_tcp", I think it is now reasonably clear that BTTM uses IPSec and UDP tunneling to carry TCP connections between applications.

What's less clear to me if the mentions of TCP are intended to give TCP between applications any special precedence, or are other transports (i.e. UDP, etc) allowed over the tunnel. I assume that any IP based transport protocol could be used, couldn't it?

Given that this is an informational track draft describing an existing commercial service, I don't think this necessarily needs to block publication. But if the draft is updated for other reasons prior to publication, it might be helpful to clarify that any transport can be carried, or explain why it cannot.

Editorial Issues/Nits:

idnits reports a later version (-04) exists of draft-cheshire-nat-pmp-03